net.corda.node.services

## Class NotaryChange

- net.corda.node.services.NotaryChange

-     public class NotaryChange

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NotaryChange.Plugin`
    `static class` | `NotaryChange.Service` A service that monitors the network for requests for changing the notary of a state, and immediately runs the `class NotaryChangeFlow` if the auto-accept criteria are met.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NotaryChange` | `INSTANCE`

- - ### Field Detail

    - #### INSTANCE

          public static NotaryChange INSTANCE